Associate access doc to some docid which doesn't have entry in xml_access table in knb
Description

Currently, some document in xml_document table doesn't have entries in
xml_access table. This is okay during the old access policy.

But we changed the access policy( see bug 437 ) and if there is no entry in
xml_access table, except owner, other person can not access it.

So we need to associate with access policy in xml_access table for these doc
ids.

History

#1 - 04/18/2002 03:28 PM - Jing Tao

A new java file named AssociateAccessPolicy was created. When we run main
method, the docid which doesn't have a entry in xml_access table will be
associate one.

The policy is:

If it belong to data set, associate the dataset file acces rule for it.

If it not belong to any dataset, default rule will associate it: owner has full
permission and public have read permission.

It Workes fine it test data base. We need to talk with administrator to backup
Oracle database in KNB. Then run it.

#2 - 04/26/2002 08:20 AM - Jing Tao

We changed idea and don't want the porgram work. We hope the owner of the data
package use morpho to open it and assign access rule for the documents. Then
save it. So Morpho need the new feature.

For some imergency situation, we can insert some entries into xml_access talbe
directly.

#3 - 03/27/2013 02:14 PM - Redmine Admin
Original Bugzilla ID was 475
